=head1 NAME

Gtk2::TargetList

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::TargetList



=cut


=head1 METHODS

=head2 targetlist = Gtk2::TargetList-E<gt>B<new> (...)

=over

=item * ... (list) of Gtk2::TargetEntry's

=back



=head2 $list-E<gt>B<add> ($target, $flags, $info)

=over

=item * $target (Gtk2::Gdk::Atom) 

=item * $flags (integer) 

=item * $info (integer) 

=back

=head2 $list-E<gt>B<add_image_targets> ($info, $writable)

=over

=item * $info (integer) 

=item * $writable (boolean) 

=back

Since: gtk+ 2.6

=head2 $list-E<gt>B<add_rich_text_targets> ($info, $deserializable, $buffer)

=over

=item * $info (integer) 

=item * $deserializable (boolean) 

=item * $buffer (Gtk2::TextBuffer) 

=back

Since: gtk+ 2.10

=head2 $list-E<gt>B<add_table> (...)

=over

=item * ... (list) of Gtk2::TargetEntry's

=back



=head2 $list-E<gt>B<add_text_targets> ($info)

=over

=item * $info (integer) 

=back

Since: gtk+ 2.6

=head2 $list-E<gt>B<add_uri_targets> ($info)

=over

=item * $info (integer) 

=back

Since: gtk+ 2.6

=head2 integer = $list-E<gt>B<find> ($target)

=over

=item * $target (Gtk2::Gdk::Atom) 

=back

=head2 $list-E<gt>B<remove> ($target)

=over

=item * $target (Gtk2::Gdk::Atom) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>, L<Gtk2::TargetEntry>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

